Make the Haskell.org homepage badass
Closed, ResolvedPublic

Description

We should really replace the homepage for Haskell.org with Chris's homepage here: http://haskell-lang.org

austin created this task.Jul 3 2014, 10:21 PM
austin added subscribers: austin, gershomb, relrod.

Replicating thoughts from irc: we should push sooner rather than later, "move fast and break things". We'll need to get the wiki accessible from wiki.haskell.org so we can cut over www and not have the wiki disappear. Also probably stick in redirects from the /haskellwiki path of the new site to the wiki.h.o site. Also, therefore, eventually redesign the wiki frontpage to reflect its new role.

Before the launch we need to fix the download page to be less "opinionated" i think, but otherwise can futz with other improvements later.

Other improvements include:

A) more "news" sources (wiki updates, planet.h.o, something else?)
B) more/better documentation links -- more manuals, definitely a link to libraries documentation.
C) hoogle/hayoo links and integration even maybe
D) dropdown menus when ppl aren't on mobile -- hard to see how much the site offers without them.

also eventually for the frontpage:

A) haskell-infra status page link
B) donate link

austin added a project: Restricted Project.Jul 12 2014, 5:16 PM
austin changed the visibility from "All Users" to "Public (No Login Required)".Oct 25 2014, 3:12 AM
austin changed the edit policy from "All Users" to "Haskell.org Infrastructure (Project)".
austin closed subtask T43: Add a sponsors page as "Resolved".
gershomb closed this task as "Resolved".Feb 25 2015, 8:48 AM
gershomb claimed this task.

Woot!